import type { FoundationElement } from '@ni/fast-foundation';
/**
 * A page object for the elements that use the required-visible mixin.
 */
export declare class RequiredVisiblePatternPageObject {
    private readonly element;
    constructor(element: FoundationElement);
    isRequiredVisibleIconVisible(): boolean;
    private getRequiredVisibleIcon;
}
